rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
FDIO_s Struct Reference
RPMIO.

`#include <rpmio/rpmio.h>`

Collaboration diagram for FDIO_s:
[legend]

## Data Fields
fdio_read_function_t | read
fdio_write_function_t | write
fdio_seek_function_t | seek
fdio_close_function_t | close
fdio_fopen_function_t | _fopen
fdio_fdopen_function_t | _fdopen
fdio_flush_function_t | _flush

## Detailed Description

Definition at line 103 of file rpmio.h.

## Field Documentation

fdio_fdopen_function_t FDIO_s::_fdopen

Definition at line 111 of file rpmio.h.

Referenced by Fdopen().

fdio_flush_function_t FDIO_s::_flush

Definition at line 113 of file rpmio.h.

Referenced by Fflush().

fdio_fopen_function_t FDIO_s::_fopen

Definition at line 109 of file rpmio.h.

fdio_close_function_t FDIO_s::close

Definition at line 107 of file rpmio.h.

Referenced by Fclose(), Fdopen(), and urlFini().

fdio_read_function_t FDIO_s::read

Definition at line 104 of file rpmio.h.

Referenced by Fdopen(), Fread(), and ftpAbort().

fdio_seek_function_t FDIO_s::seek

Definition at line 106 of file rpmio.h.

Referenced by Fdopen(), and Fseek().

fdio_write_function_t FDIO_s::write

Definition at line 105 of file rpmio.h.

Referenced by Fdopen(), and Fwrite().

The documentation for this struct was generated from the following file:

- rpmio/rpmio.h